<?php

namespace Drupal\rest_api_access_token\Model;

class Token
{
    /** @var string */
    protected $public;

    /** @var string */
    protected $secret;

    /** @var int */
    protected $userId;

    /**
     * Token constructor.
     * @param string $public
     * @param string $secret
     * @param int $userId
     */
    public function __construct(string $public, string $secret, int $userId)
    {
        $this->public = $public;
        $this->secret = $secret;
        $this->userId = $userId;
    }


    /**
     * @return string
     */
    public function getPublic(): string
    {
        return $this->public;
    }

    /**
     * @return string
     */
    public function getSecret(): string
    {
        return $this->secret;
    }

    /**
     * @return int
     */
    public function getUserId(): int
    {
        return $this->userId;
    }
}
