<?php

namespace Drupal\rest_api_access_token\Service;

use Drupal\rest_api_access_token\Exception\TokenGeneratorException;
use Drupal\rest_api_access_token\Model\Token;

class TokenGenerator
{
    /**
     * @param int $userId
     * @return Token
     * @throws TokenGeneratorException
     */
    public function execute(int $userId)
    {
        try {
            $publicToken = hash('sha256', bin2hex(random_bytes(64)));
            $secretToken = hash('sha256', bin2hex(random_bytes(32)));
        } catch (\Throwable $exception) {
            throw new TokenGeneratorException();
        }

        if (empty($publicToken) || empty($secretToken)) {
            throw new TokenGeneratorException();
        }
        return new Token($publicToken, $secretToken, $userId);
    }
}
